Subject: RE: perl 5.6.1 bug report
From: Neil Lunn <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 16 May 2001 21:35:42 +1000

> -----Original Message-----
> From: Charles S. Wilson [mailto:[email-masked]]
> Sent: Wednesday, May 16, 2001 12:35 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: perl 5.6.1 bug report
> 
> 
> 1. This looks like a CR/LF problem.  Cygwin's perl-5.6.1 is known to
> have, er, issues with line endings.  Look for a new cygwin 
> release when
> perl5-porters releases 5.6.2. 

Nope.

> > while ( $input =~ /(.*?)#/gsm ) {
> >    print "[$1]";
> > }

I think you meant /(.+?)#/gsm)
                     ^

And you will need to strip new lines from the result because you asked it to
with "s".

Neil

> 
> 2. Please don't send email to individuals on the cygwin list.  Use the
> list.  That's what it's for.  I have copied this message to 
> the list and
> reset the Reply-To address for your convenience.
> 
> 3. If you *were* going to individually mail somebody about a 
> cygwin-perl
> problem -- why me? I don't have anything to do with cygwin's perl
> package. 
> 
> --Chuck
> 
> [email-masked] wrote:
> > 
> > This gives me an unexpected result with 5.6.1
> > I used 5.005_03 on Linux and 5.6.1 from activestate on NT as
> > second/third oppinion.
> > 
> > cygwin perl only matches aaa while the others match both aaa and bbb
> > (with some newlines).
> > 
> > Eddy
> > 
> > ===
> > $input = <<EOF;
> > aaa
> > #
> > bbb
> > #
> > EOF
> > 
> > while ( $input =~ /(.*?)#/gsm ) {
> >    print "[$1]";
> > }
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 

__________________________________________________________________________
Please Note :
Only  the intended recipient is authorised to access or use this e-mail.  If
you are not the intended recipient,
please delete this e-mail and notify the sender immediately.   The contents
of this e-mail are the writer's 
opinion and are not necessarily endorsed by the Gunz Companies unless
expressly stated.

We use virus scanning software but exclude all liability for viruses or
similar in any attachment.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple